## NAME

r.regression.line - Calculates linear regression from two raster maps: y = a + b*x

## KEYWORDS

raster, statistics

## SYNOPSIS

r.regression.line
r.regression.line help
r.regression.line map1=string map2=string [output=string]

### Parameters:

map1=string
  Map for x coefficient
map2=string
  Map for y coefficient
output=string
  ASCII file for storing regression coefficients (output to screen if file not specified).

## DESCRIPTION

r.regression.line Calculates linear regression from two raster maps, according to the formula y = a + b*x, where x and y represent raster maps. Optionally saves regression coefficients to an ASCII file.

## EXAMPLE

Comparison of the old and the new DEM in Spearfish:

    g.region rast=elevation.10m
    r.regression.line elevation.dem map2=elevation.10m

## AUTHOR

Dr. Agustin Lobo - alobo@ija.csic.es
Updated to GRASS 5.7 Michael Barton, Arizona State University

Last changed: $Date: 2005/08/30 14:57:07 $

Main index - raster index - Full index